Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
ValueConstIterator Class Reference

const iterator for object and array value. More...

`#include <value.h>`

Inheritance diagram for ValueConstIterator:

## Public Types
typedef unsigned int | size_t
typedef int | difference_type
typedef const Value & | reference
typedef const Value * | pointer
typedef ValueConstIterator | SelfType
Public Types inherited from ValueIteratorBase
typedef unsigned int | size_t
typedef int | difference_type
typedef ValueIteratorBase | SelfType

## Public Member Functions
| ValueConstIterator ()
SelfType & | operator= (const ValueIteratorBase &other)
SelfType | operator++ (int)
SelfType | operator-- (int)
SelfType & | operator-- ()
SelfType & | operator++ ()
reference | operator* () const
Public Member Functions inherited from ValueIteratorBase
| ValueIteratorBase ()
| ValueIteratorBase (const Value::ObjectValues::iterator &current)
bool | operator== (const SelfType &other) const
bool | operator!= (const SelfType &other) const
difference_type | operator- (const SelfType &other) const
Value | key () const
| Return either the index or the member name of the referenced value as a Value. More...
UInt | index () const
| Return the index of the referenced Value. -1 if it is not an arrayValue. More...
const char * | memberName () const
| Return the member name of the referenced Value. "" if it is not an objectValue. More...

## Friends
class | Value
| Value with UTF8 encoding. More...

## Additional Inherited Members
Protected Member Functions inherited from ValueIteratorBase
Value & | deref () const
void | increment ()
void | decrement ()
difference_type | computeDistance (const SelfType &other) const
bool | isEqual (const SelfType &other) const
void | copy (const SelfType &other)

## Detailed Description

const iterator for object and array value.

## Member Typedef Documentation

typedef int difference_type

typedef const Value* pointer

typedef const Value& reference

typedef ValueConstIterator SelfType

typedef unsigned int size_t

## Constructor & Destructor Documentation

ValueConstIterator | ( |  | ) |

## Member Function Documentation

reference operator* | ( |  | ) | const
| inline

SelfType operator++ | ( | int |  | ) |
| inline

SelfType& operator++ | ( |  | ) |
| inline

SelfType operator-- | ( | int |  | ) |
| inline

SelfType& operator-- | ( |  | ) |
| inline

ValueConstIterator & operator= | ( | const ValueIteratorBase & | other | ) |

## Friends And Related Function Documentation

friend class Value
| friend

Value with UTF8 encoding.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/jsoncpp/include/json/value.h
- persistence/rapidjson/thirdparty/jsoncpp/src/lib_json/json_value.cpp
- persistence/rapidjson/thirdparty/jsoncpp/src/lib_json/json_valueiterator.inl